<?php
/* Includes */
require_once('mysql.php');
require_once('functions/dbfunctions.php');

 /* DB */
$Conn = connDB(DB_SERVER, DB_USER, DB_PASS, DB_NAME);

$msgSuccess = "Les dades s'han actualitzat correctament";
$msgError = "S'ha produit un error actualitzant les dades";

/* FORMULARIO ENVIADO */
if ($_POST){
		
	$updateForm = FALSE;
	
	$formItems = getConfigForm();
	
	foreach ($formItems as $param => $value) {
		$updateForm = setParamValue($param, $value, $Conn);
		if (!$updateForm){ break; }		
	}
	
	if ($updateForm){			
		$updateForm = setParamValue("lastUpdate", time(), $Conn);
	}	
}

?>
<!DOCTYPE html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="css/base.css">
	<link rel="stylesheet" href="css/skeleton.css">
	<link rel="stylesheet" href="css/layout.css">
	<title>TFC Sergio Gómez</title>
</head>

<body>
	<div class="container">
		
		<div class="twelve columns">
			<h1>TFC Sergio Gómez</h1>
			<h4>Sistema d'alarma i monitorització ambiental amb gestió remota per a entorns crítics</h4>
			<hr />
			<div style="float: right; margin-top: -15px">[ <a href="index.php">Tornar a la visualització de dades</a> ]</div>
			<br>
			<!-- Contact Form -->
			<section id="contact">
				
				<?php
				if ($_POST){
					if ($updateForm){
						echo '<div class="notification success">'.$msgSuccess.'</div>';
					} else {
						echo '<div class="notification error">'.$msgError.'</div>';
					}
				}
				?>

				<!-- Form -->
				<form method="post" action="config.php" name="configform" id="configform">

					<fieldset>
						<legend>Configuració de mesures</legend>
						<div>
							<label for="name" accesskey="N">Temp. Màx. (ºC):</label>
							<input name="tempMax" type="text" id="tempMax" value="<?php echo getParamValue("tempMax", $Conn); ?>" />
						</div>

						<div>
							<label for="name" accesskey="N">Temp. Mín. (ºC):</label>
							<input name="tempMin" type="text" id="tempMin" value="<?php echo getParamValue("tempMin", $Conn); ?>" />
						</div>
						
						<div>
							<label for="name" accesskey="N">Interval mesures (s):</label>
							<input name="tempInterval" type="text" id="tempInterval" value="<?php echo getParamValue("tempInterval", $Conn); ?>" />
						</div>	
					</fieldset>

					<fieldset>
						<legend>Configuració SMTP</legend>
						<div>
							<label for="name" accesskey="N">Servidor SMTP:</label>
							<input name="mailServer" type="text" id="mailServer" value="<?php echo getParamValue("mailServer", $Conn); ?>" />
						</div>	
						
						<div>
							<label for="name" accesskey="N">Port SMTP:</label>
							<input name="mailPort" type="text" id="mailPort" value="<?php echo getParamValue("mailPort", $Conn); ?>" />
						</div>	
						
						<div>
							<label for="name" accesskey="N">Usuari SMTP:</label>
							<input name="mailUser" type="text" id="mailUser" value="<?php echo getParamValue("mailUser", $Conn); ?>" />
						</div>	

						<div>
							<label for="name" accesskey="N">Password SMTP:</label>
							<input name="mailPass" type="password" id="mailPass" value="<?php echo getParamValue("mailPass", $Conn); ?>" />
						</div>	
																								
						<div>
							<label for="email" accesskey="E">Correu-e Origen: </label>
							<input name="mailFrom" type="email" id="mailFrom" value="<?php echo getParamValue("mailFrom", $Conn); ?>" pattern="^[A-Za-z0-9](([_\.\-]?[a-zA-Z0-9]+)*)@([A-Za-z0-9]+)(([\.\-]?[a-zA-Z0-9]+)*)\.([A-Za-z]{2,})$" />
						</div>
						
						<div>
							<label for="email" accesskey="E">Correu-e Destí: </label>
							<input name="mailTo" type="email" id="mailTo" value="<?php echo getParamValue("mailTo", $Conn); ?>" pattern="^[A-Za-z0-9](([_\.\-]?[a-zA-Z0-9]+)*)@([A-Za-z0-9]+)(([\.\-]?[a-zA-Z0-9]+)*)\.([A-Za-z]{2,})$" />
						</div>
					</fieldset>
					
					<fieldset>
						<legend>Alarma sonora</legend>
						<div>
							<label for="name" accesskey="N">Estat:</label>
							<select name="soundAlarm" id="soundAlarm">
								<option value="1" <?php if (getParamValue("soundAlarm", $Conn)==1){ echo "selected"; } ?>>Activada</option>
								<option value="0" <?php if (getParamValue("soundAlarm", $Conn)==0){ echo "selected"; } ?>>Desactivada</option>
							</select> 
						</div>

					</fieldset>

					<input type="submit" class="submit" style="width: 200px; font-weight: bold" id="submit" value="Guardar configuració" />
					
					<div class="clearfix"></div>
				</form>
			</section>
	
		</div>
		
	</div>
 </body>
</html>