<?php
/* Includes */
require_once('mysql.php');
require_once('functions/dbfunctions.php');

 /* DB */
$Conn = connDB(DB_SERVER, DB_USER, DB_PASS, DB_NAME);
?>
<!DOCTYPE html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="css/base.css">
	<link rel="stylesheet" href="css/skeleton.css">
	<link rel="stylesheet" href="css/layout.css">
	<title>TFC Sergio Gómez</title>
	<script type="text/javascript" src="https://www.google.com/jsapi"></script>
		<!--<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>-->
		<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
		<script type="text/javascript">
			// Load the Visualization API and the piechart package.
			google.load('visualization', '1', {'packages':['corechart']});

			// Set a callback to run when the Google Visualization API is loaded.
			google.setOnLoadCallback(drawChart);

			function drawChart() {
				var json = $.ajax({
					url: 'get_json.php', // make this url point to the data file
					dataType: 'json',
					async: false
				}).responseText;
				
				// Create our data table out of JSON data loaded from server.
				var data = new google.visualization.DataTable(json);
				var options = {
					legend: { position: "none" },
					chartArea: { top: 50, width: 550, height: 260 }
				};
				// Instantiate and draw our chart, passing in some options.
				//do not forget to check ur div ID
				var chart = new google.visualization.AreaChart(document.getElementById('chart_div'));
				chart.draw(data, options);

				
			}
			setInterval(drawChart, 5000 );
			
		</script>  
</head>

<body>
	<div class="container">
		
		<div class="twelve columns">
			<h1>TFC Sergio Gómez</h1>
			<h4>Sistema d'alarma i monitorització ambiental amb gestió remota per a entorns crítics</h4>
			<hr />
		</div>
		
		<div class="four columns">
			
			<div class="configbox">
				<h3>Configuració de temperatura</h3>
				<hr />
				<label>Temp. Max (ºC):</label><?php echo getParamValue("tempMax", $Conn); ?><br>
				<label>Temp. Mín (ºC):</label><?php echo getParamValue("tempMin", $Conn); ?><br>
				<label>Interval mesures (s):</label><?php echo getParamValue("tempInterval", $Conn); ?><br>
				
				<h3>Configuració SMTP</h3>
				<hr />
				<label>SMTP:</label><small><?php echo getParamValue("mailServer", $Conn); ?></small><br>
				<label>Port:</label><small><?php echo getParamValue("mailPort", $Conn); ?></small><br>
				<label>Usuari:</label><small><?php echo getParamValue("mailUser", $Conn); ?></small><br>	
				<label>Origen:</label><small><?php echo getParamValue("mailFrom", $Conn); ?></small><br>			
				<label>Destinatari:</label><small><?php echo getParamValue("mailTo", $Conn); ?></small><br>	
				
				<h3>Alarma Sonora</h3>
				<hr />
				<label>Estat:</label>
				<?php if (getParamValue("soundAlarm", $Conn)==1){ echo "Activada";} else { echo "Desactivada"; } ?><br>
	
				<div class="destacabox">
					<label>Darrera modificació:</label><?php echo date("d/m/Y H:i:s", getParamValue("lastUpdate", $Conn)); ?>
				</div>
				<a href="config.php" class="button" style="margin: 0;">Modificar dades</a>						
				
			</div>
		</div>		
		
		<div class="eight columns">
			<h3 style="margin-top: 20px;">Temperatures obtingudes</h3>
			<div id="chart_div" style="width: 680px; height: 500px;"></div>
		</div>

	</div>
 </body>
</html>