<?php
/* Includes */
require_once('mysql.php');
require_once('functions/dbfunctions.php');

/* Time Zone */
date_default_timezone_set('Europe/Madrid');

/* Errors */
error_reporting(E_ALL);

/* Permetre esperar connexions */
set_time_limit(0);

/* Activar bolcat de sortida, així veurem el que arriba pel socket */
ob_implicit_flush();

 /* DB */
$Conn = connDB(DB_SERVER, DB_USER, DB_PASS, DB_NAME);

$address = 'tfc.sergiogomez.es';	//Host o IP del servidor
$port = 6001;						//Port d'escolta del servidor

echo "***** SERVIDOR PHP *****\n";
echo "IP: $address\n";
echo "Port: $port\n"; 
echo "************************\n";
echo "Escoltant peticions...\n";

/** Creació del socket **/
if (($sock = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) === false) {
    echo "socket_create() failed: reason: " . socket_strerror(socket_last_error()) . "\n";
}

if (socket_bind($sock, $address, $port) === false) {
    echo "socket_bind() failed: reason: " . socket_strerror(socket_last_error($sock)) . "\n";
}

if (socket_listen($sock, 5) === false) {
    echo "socket_listen() failed: reason: " . socket_strerror(socket_last_error($sock)) . "\n";
}

do {
    if (($msgsock = socket_accept($sock)) === false) {
        echo "socket_accept() failed: reason: " . socket_strerror(socket_last_error($sock)) . "\n";
        break;
    }
    
	/* Connexió Establerta */
	socket_getpeername($msgsock, $clientIP, $clientPort);
	echo "Acceptada connexio de $clientIP\n";
	
	/* Missatge benvinguda client */
    $msg = "**HELLO**";
    socket_write($msgsock, $msg, strlen($msg));
	$talkback ="";

    do {
        if (false === ($buf = socket_read($msgsock, 2048, PHP_NORMAL_READ))) {
            echo "socket_read() failed: reason: " . socket_strerror(socket_last_error($msgsock)) . "\n";
            break 2;
        }
        if (!$buf = trim($buf)) {
            continue;
        }
        if ($buf == 'QUIT') {
            break;
        }
        if ($buf == 'SHUTDOWN') {
            socket_close($msgsock);
            break 2;
        }
		/* Comandes */
		if ($buf=="GETTEMPMAX"){
			$talkback = getParamValue("tempMax", $Conn);
			
		} elseif ($buf=="GETTEMPMIN"){
			$talkback = getParamValue("tempMin", $Conn);
		
		} elseif ($buf=="GETTEMPINTERVAL"){
			$talkback = getParamValue("tempInterval", $Conn);	

		} elseif ($buf=="GETMAILSERVER"){
			$talkback = getParamValue("mailServer", $Conn);
		
		} elseif ($buf=="GETMAILPORT"){
			$talkback = getParamValue("mailPort", $Conn);		
			
		} elseif ($buf=="GETMAILUSER"){
			$talkback = getParamValue("mailUser", $Conn);	
			
		} elseif ($buf=="GETMAILPASS"){
			$talkback = getParamValue("mailPass", $Conn);					
			
		} elseif ($buf=="GETMAILFROM"){
			$talkback = getParamValue("mailFrom", $Conn);						
					
		} elseif ($buf=="GETMAILTO"){
			$talkback = getParamValue("mailTo", $Conn);	
			
		} elseif ($buf=="GETSOUNDALARM"){
			$talkback = getParamValue("soundAlarm", $Conn);													

		} elseif ($buf=="GETLASTUPDATE"){
			$talkback = getParamValue("lastUpdate", $Conn);
		
		} elseif (is_numeric($buf)){
			insertTemp($buf, $Conn);
			$talkback="*DATAOK*";
		
		} else {
			$talkback="*ERR*";
		}
		  
		/* Fi Comandes */  
		socket_write($msgsock, $talkback, strlen($talkback));
        echo "Rebut: $buf\n";
		} while (true);
    socket_close($msgsock);
	echo "Finalitzada comunicacio.\n\n";

} while (true);
socket_close($sock);

?>