/*****************************************************************************
 * File:			buzzer.c
 * Description:		Controla el buzzer connectat a un pin GPIO
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef BUZZER_H_
#define BUZZER_H_

#define BUZZER_PINSEL_NUMBER	4		//Registre PINSEL que controla el port GPIO
#define BUZZER_PINSEL_FIRSTBIT	10		//Primer bit del registre PINSEL que controla el PIN, segons datasheet
#define BUZZER_GPIO_PORT		2		//Número de port GPIO
#define BUZZER_GPIO_BIT			5		//Bit del port GPIO

void buzzerInit(void);
void buzzerOn(void);
void buzzerOff(void);
void buzzerToggle(void);

#endif /* BUZZER_H_ */
