/*****************************************************************************
 * File:			comm.h
 * Description:		Llibreria de comunicació
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef COMM_H_
#define COMM_H_

#define TIME_GET_DATA		1000			//Temps necessari per obtenir una dada del servidor TCP
#define RECEIVED_OK			"*DATAOK*"		//Cadena rebuda pel servidor TCP quan ha rebut correctament una dada
#define CLOSETCP_COMMAND	"QUIT"			//Comanda a enviar al servidor TCP per tancar la connexió
#define MAIL_QUEUED			"250 ok"		//Resposta del servidor SMTP si el mail s'ha posat en cua
#define FORMAT_SEND_TEMP	"%2.2f"			//Format en el que s'envien les dades de temperatura al servidor TCP
#define UPDATE_INTERVAL		60				//Interval de temps MÀXIM (en segons) en el que s'ha de comprovar si hi ha nova configuració

/* Struct per a guardar les dades de configuració */
typedef struct
{
	float 	TempMax;
	float 	TempMin;
	int 	TempInterval;
	char	MailServer[255];
	int		MailPort;
	char	MailUser[255];
	char	MailPass[100];
	char	MailFrom[255];
	char	MailTo[255];
	int		SoundAlarm;
	int	volatile LastUpdate;
} Config;

void commSrvInit(uint8_t HostType, char *Host, int Port);
uint8_t commSendTemp(float temp);
int commGetLastUpdate(void);
uint8_t commUpdateConfig(Config *ServerConfig);
uint8_t commSendMail(char *HostSMTP, int PortSMTP, char *User, char *Password, char *MailDest, char *Subject, char *Body);

#endif /* COMM_H_ */
