/*****************************************************************************
 * File:			config.h
 * Description:		Paràmetres de configuració utilitzats per la llibreria
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef CONFIG_H_
#define CONFIG_H_

/* BUFFERS */
#define BUFSIZE_UART	1024	//Buffer interfície UART
#define BUFSIZE_WIFLY	1024	//Buffer de recepció del WiFly
#define BUFSIZE_I2C		64		//Buffer interfície I2C
#define BUFSIZE_COMM	256		//Buffer de recepció de respostes del servidor

#define BUFSENDMAX		256		//Buffer d'enviament de comandes
#define BUFSENDMIN		100		//Buffer d'enviament de comandes

/* PORTS */
#define UARTPORT_WIFLY	0		//Port UART on està connectat el WiFly
#define UARTPORT_DEBUG	3		//Port UART on està connectat el CP2102 per a DEBUG
#define I2CPORT_TMP102	2		//Port I2C on està connectat el sensor TMP102

/* DEBUG: Comentar per habilitar / Descomentar per deshabilitar */
//#define DEBUG_WIFLY			//Debug del WiFly
//#define DEBUG_COMM_INFO		//Debug de la llibreria de comunicació amb el servidor (Missatges d'informació)
#define DEBUG_COMM_ERROR		//Debug de la llibreria de comunicació amb el servidor (Missatges d'error)

#endif /* CONFIG_H_ */
