/*****************************************************************************
 * File:			gpio.h
 * Description:		Driver for General Purpose Input/Output ports on LPC1769
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef GPIO_H_
#define GPIO_H_

#define INPUT	0
#define OUTPUT	1

#define LOW		0
#define HIGH	1

static LPC_GPIO_TypeDef (* const LPC_GPIO[5]) = { LPC_GPIO0, LPC_GPIO1, LPC_GPIO2, LPC_GPIO3, LPC_GPIO4 };

void GPIOInitPin(uint8_t PINSELNumber, uint8_t PINSELFirstBit);
void GPIOSetPinDirection(uint8_t GPIOPort, uint8_t Bit, uint8_t PortDirection);
void GPIOSetPinHigh(uint8_t GPIOPort, uint8_t Bit);
void GPIOSetPinLow(uint8_t GPIOPort, uint8_t Bit);
uint8_t GPIOGetPinState(uint8_t GPIOPort, uint8_t Bit);

#endif /* GPIO_H_ */
