/*****************************************************************************
 * File:			tmp102.h
 * Description:		Driver sensor de temperatura TMP102 Texas Instruments
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef TMP102_H_
#define TMP102_H_

#define PORT_USED			(I2CPORT_TMP102)
#define TMP102_WR			0x92				//Adreça I2C del sensor + Write Bit (0). ADD0 connectat a VCC es 1001001 (Datasheet table 12 & fig13)
#define TMP102_RD			0x93				//Adreça I2C del sensor + Read Bit (1)
#define TEMP_REG			0x00				//Registre de temperatura P0=0, P1=0 (Datasheet table 2)

void tmp102Init(void);
float tmp102GetTemp(void);

#endif /* TMP102_H_ */
