/*****************************************************************************
 * File:			appConfig.h
 * Description:		Paràmetres de configuració utilitzats per l'aplicació (main.c)
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef APPCONFIG_H_
#define APPCONFIG_H_

/* Task Priorities*/
#define GETTEMPTASK_PRIORITY		(tskIDLE_PRIORITY + 1)
#define	SENDTEMPTASK_PRIORITY		(tskIDLE_PRIORITY + 1)
#define GETCONFIGTASK_PRIORITY		(tskIDLE_PRIORITY + 2)
#define ALARMTASK_PRIORITY			(tskIDLE_PRIORITY + 2)
#define BUZZERALARMTASK_PRIORITY	(tskIDLE_PRIORITY + 3)

/* Task Stack Sizes */
#define GETTEMPTASK_STACK_SIZE		500
#define	SENDTEMPTASK_STACK_SIZE		500
#define GETCONFIGTASK_STACK_SIZE	500
#define ALARMTASK_STACK_SIZE		1000
#define BUZZERALARMTASK_STACK_SIZE	250

/* Queue Sizes */
#define QUEUE_SENSORTOALARM_SIZE	5
#define QUEUE_ALARMTOSERVER_SIZE	5

/* Temps d'espera de cada task a que hi hagin dades disponibles a la cua */
/* Defineix el factor pel qual s'ha de multiplicar el temps que triga la task productora (vGetTempTask) a obtenir les dades del sensor (variable)
 * Ex: si vGetTempTask obté dades cada 20 segons, amb ALARMTASK_WAITTIME_MUL 2, la task esperarà 40 segons a que hi hagin dades disponibles a la cua
 */
#define ALARMTASK_WAITTIME_MULT		2
#define SENDTEMPTASK_WAITTIME_MULT	4

/* Llindar de seguretat per desactivar l'estat d'alarma */
/* Ex: Si l'alarma s'activa quan temp > 22ºC, amb ALARMOFF_THRESHOLD 0.5, es desactivarà quan temp < 21.5ºC */
#define ALARMOFF_THRESHOLD			0.5

/* BaudRate del WiFly que usarà l'aplicació*/
#define WIFLY_BAUDRATE				9600

/* DEBUG: Comentar per habilitar / Descomentar per deshabilitar */
#define DEBUG_APP				//Debug de l'aplicació principal (main.c)
//#define DEBUG_APP_STACK		//Mostra l'espai lliure de la pila de cada task. Es necessari tenir habilitat "DEBUG_APP"

#endif /* APPCONFIG_H_ */
